<ion-modal
  [mode]="'ios'"
  (willDismiss)="onWillDismiss($event)"
  [cssClass]="'map-modal'"
  [focusTrap]="false"
  [isOpen]="isModalOpen"
  [translucent]="false"
  [showBackdrop]="false"
>
  <ng-template>
    <ion-nav
      #nav
      [rootParams]="rootParams"
      [root]="rootPage"
      [swipeGesture]="false"
    ></ion-nav>
  </ng-template>
</ion-modal>
